%define bname digikam
%define Name digiKam
Name: %bname-doc
%define prerel %nil
Version: 0.9.4
%define rel 1
Release: alt%{?prerel:0.}%rel
Group: Documentation
Summary: %Name documentation
License: FDL
URL: http://www.%bname.org/
Source: %name-%version%prerel.tar.bz2
BuildArch: noarch
Requires: %name-en = %version-%release
Requires: %name-ru = %version-%release
Requires: %name-world = %version-%release
# Automatically added by buildreq on Tue Jun 05 2007 (-bi)
BuildRequires: kdelibs xml-utils

%description
%Name documentation.


%package en
Summary: English %Name documentation
Group: Documentation
Conflicts: %name < 0.9.2-alt0.1

%description en
English %Name documentation.


%package ru
Summary: Russian %Name documentation
Group: Documentation

%description ru
Russian %Name documentation.


%package world
Summary: World %Name documentation
Group: Documentation

%description world
World %Name documentation
(da, de, es, et, fr, it, nl, pl, br, br_PT, sv).


%prep
%setup -n %name-%version%prerel


%build
cd doc
for d in *%bname *showfoto; do
    [ -f "$d/index.docbook" && meinproc --check --cache $d/index.{cache.bz2,docbook}
done


%install
cd doc
install -d -m 0755 %buildroot%_docdir/HTML/en/%bname
install -m 0644 %bname/* %buildroot%_docdir/HTML/en/%bname/
rm -f %buildroot%_docdir/HTML/en/%bname/Makefile*
ln -sf {..,%buildroot%_docdir/HTML/en/%bname}/common
for d in *_%bname; do
    l=$(echo $d | sed -e 's/_%bname$//')
    install -d -m 0755 %buildroot%_docdir/HTML/$l/%bname
    install -m 0644 $d/* %buildroot%_docdir/HTML/$l/%bname/
    rm -f %buildroot%_docdir/HTML/$l/%bname/Makefile*
    ln -sf {..,%buildroot%_docdir/HTML/$l/%bname}/common
done
for d in *_showfoto; do
    l=$(echo $d | sed -e 's/_showfoto$//')
    install -d -m 0755 %buildroot%_docdir/HTML/$l/showfoto
    install -m 0644 $d/* %buildroot%_docdir/HTML/$l/showfoto/
    rm -f %buildroot%_docdir/HTML/$l/showfoto/Makefile*
    ln -sf {..,%buildroot%_docdir/HTML/$l/showfoto}/common
done


%files en
%lang(en) %_docdir/HTML/en/%bname


%files ru
%lang(ru) %_docdir/HTML/ru/%bname


%files world
%lang(da) %_docdir/HTML/da/%bname
%lang(da) %_docdir/HTML/da/showfoto
%lang(de) %_docdir/HTML/de/%bname
%lang(de) %_docdir/HTML/de/showfoto
%lang(es) %_docdir/HTML/es/%bname
%lang(es) %_docdir/HTML/es/showfoto
%lang(et) %_docdir/HTML/et/%bname
%lang(et) %_docdir/HTML/et/showfoto
%lang(it) %_docdir/HTML/it/%bname
%lang(it) %_docdir/HTML/it/showfoto
%lang(nl) %_docdir/HTML/nl/%bname
%lang(nl) %_docdir/HTML/nl/showfoto
%lang(pt_BR) %_docdir/HTML/pt_BR/%bname
%lang(sv) %_docdir/HTML/sv/%bname
%lang(sv) %_docdir/HTML/sv/showfoto


%changelog
* Sun Apr 13 2008 Led <led@altlinux.ru> 0.9.4-alt0.1
- 0.9.4

* Mon Jan 28 2008 Led <led@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Sat Dec 08 2007 Led <led@altlinux.ru> 0.9.3-alt0.1
- 0.9.3-beta3

* Tue Jun 05 2007 Led <led@altlinux.ru> 0.9.2-alt0.1
- 0.9.2-beta2
- cleaned up spec
- added subpackages %name-en, %name-ru, %name-world

* Thu Dec 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8.0-alt1
- split docs to separate package

* Thu Dec 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8.0-alt1
- new version

* Wed Aug 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.3-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt1
- new version

* Tue Dec 07 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- new version

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt1
- new version

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.1-alt4
- rebuild with new libexif

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt3
- rebuild with new libexif

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- rebuild with new gphoto2 && KDE3.1

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- build for ALT

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
